package cn.iocoder.yudao.module.member.dal.mysql.configdata;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.member.dal.dataobject.configdata.ConfigDataDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.controller.admin.configdata.vo.*;

/**
 * 配置数据 Mapper
 *
 * @author 秦俊旗
 */
@Mapper
public interface ConfigDataMapper extends BaseMapperX<ConfigDataDO> {

    default PageResult<ConfigDataDO> selectPage(ConfigDataPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ConfigDataDO>()
                .eqIfPresent(ConfigDataDO::getLabel, reqVO.getLabel())
                .eqIfPresent(ConfigDataDO::getValue, reqVO.getValue())
                .eqIfPresent(ConfigDataDO::getValueType, reqVO.getValueType())
                .eqIfPresent(ConfigDataDO::getDictType, reqVO.getDictType())
                .eqIfPresent(ConfigDataDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(ConfigDataDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ConfigDataDO::getId));
    }

}